package app.mealsmadeeasy.api.recipe.comment;

import app.mealsmadeeasy.api.user.User;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Slice;

public interface RecipeCommentService {
    RecipeComment create(String recipeUsername, String recipeSlug, User owner, RecipeCommentCreateBody body);
    RecipeComment get(Integer commentId, User viewer) ;
    Slice<RecipeCommentView> getComments(String recipeUsername, String recipeSlug, Pageable pageable, User viewer);
    RecipeComment update(Integer commentId, User viewer, RecipeCommentUpdateSpec spec) ;
    void delete(Integer commentId, User modifier);
    int countComments(String recipeUsername, String recipeSlug, User viewer);
}
